<< | Thread Index | >> ]    [ << | Date Index | >> ]

To: cipe-l,AT,inka,DOT,de
Subject: Re: [Announce] Pre-1.6, Linux 2.6 ready
From: Christof Meerwald <cmeerw,AT,web,DOT,de>
Date: Sun, 11 Jan 2004 11:29:58 +0100
In-reply-to: <E1AfMrN-00081S-00@bigred.inka.de>
References: <E1AdxNI-0005Hr-00@bigred.inka.de> <20040109230318.GA1324@hacking.cmeerw.net> <E1AfMrN-00081S-00@bigred.inka.de>

On Sat, 10 Jan 2004 18:25:17 +0100, Olaf Titz wrote:
>> > If it breaks horribly, try yesterday's version (and tell me). This
>>
>> Well, it crashed my 2.6.0 kernel. :-(
> Please send an Oops or panic log if possible.

See http://cmeerw.org/test/cipe-panic.jpg and
http://cmeerw.org/test/cipe-panic2.jpg

BTW, I am using Linux 2.6.1 now.

I compiled cipe using these configure options:

./configure --sysconfdir=/etc --with-linux=/usr/local/src/linux-2.6
--enable-cryptoapi

BTW, "--enable-cryptoapi" initially didn't detect the Crypto API in my 2.6.1
kernel. The problem seems to be that KCPPFLAGS tries to include ./config.h
which doesn't exist during the configure test.

see configure.in:168
KCPPFLAGS="-I. -include ./config.h $KCPPFLAGS")

After enabling the Crypto-API I had to change cipe/lebf.c:49 to:

    .cra_u = { .cipher = {
    .cia_setkey = lebf_cra_setkey,
    .cia_encrypt = lebf_encrypt,
    .cia_decrypt = lebf_decrypt,
    }},

My gcc 2.95.4 didn't like the .cra_cipher there.

bye, Christof

-- 
http://cmeerw.org                                 JID: cmeerw,AT,jabber,DOT,at
mailto cmeerw at web.de


<< | Thread Index | >> ]    [ << | Date Index | >> ]